
Match2 = {}

Match2.layouts = {Match2Layout1, Match2Layout2, Match2Layout3, Match2Layout4, Match2Layout5, Match2Layout6, Match2Layout7, Match2Layout8, Match2Layout9, Match2Layout10, Match2Layout11}
Match2.currentLayout = 11
Match2.ExitLevel = ""
Match2.tutorial = false

----------------------------------------------------------------------------------------------------
function Match2:onShow()
    Panel:show(false)
    Panel:showTimer(false)
    --Match2.mDisplay = Match2Core:new(Match2.layouts[Match2.currentLayout])
    Match2Core:new(Match2.layouts[Match2.currentLayout])
    Match2Core:onShow()
    Media:switchBackgroundSet('Match2')
end

----------------------------------------------------------------------------------------------------
function Match2:onHide()
    if Match2.tutorial then
        Tutorial:leaveChapter()
    end
    Match2Core:onHide()
    --Match2.mDisplay = {}
    --Media:stopBackground('Match2')
end